com.google.gwt.event.dom.client

## Interface HasClickHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  TabBar.Tab

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, Canvas, CellGridImpl, CheckBox, CustomButton, DefaultCalendarView.CellGrid, DialogBox.CaptionImpl, DoubleBox, FileUpload, FlexTable, FocusPanel, FocusWidget, Grid, HTML, HTMLTable, Hyperlink, Image, InlineHTML, InlineHyperlink, InlineLabel, IntegerBox, Label, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, TextArea, TextBox, TextBoxBase, ToggleButton, ValueBox, ValueBoxBase, Video

    public interface HasClickHandlers
    extends HasHandlers

A widget that implements this interface provides registration for `ClickHandler` instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addClickHandler(ClickHandler handler)` Adds a `ClickEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addClickHandler

    HandlerRegistration addClickHandler(ClickHandler handler)

Adds a `ClickEvent` handler.

Parameters:
  `handler` - the click handler
Returns:
  `HandlerRegistration` used to remove this handler